<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="css/stylemin.css">
  <link rel="stylesheet" href="css/color.css">
  <title> Pizza 365 v0.5</title>
  <!--task 26.30 bảo chỉnh giao diện nhưng em thấy đẹp quá rồi nên để nguyên nhé-->
</head>

<body onload="onPageLoading()">
  <!-- Menu -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">HOME</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#combo">SIZE COMBOS</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#type">PIZZA TYPES</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#contact">FORM CONTACT</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 70px 0px 50px 0px">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b class="text-main">Pizza 365</b></h1>
            <p style="font-style: italic" class="text-second">Truly italian!</p>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="5"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="6"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/anh_mon_1.jpg" alt="First slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_2.jpg" alt="Second slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_3.jpg" alt="Third slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_4.jpg" alt="Fourth slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_5.jpg" alt="Fifth slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_6.jpg" alt="Sixth slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_7.jpg" alt="Seventh slide" />
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title ưu điểm của Quán -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content ưu điểm của Quán -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-3 bg-brand-01 text-white border">
                <h3 class="p-2">Không ngừng cải tiến</h3>
                <p class="p-2">Cải tiến sản phẩm, chất lượng và trải nghiệm khách hàng luôn là yếu tố tiên quyết trong
                  chiến lược kinh doanh của chúng tôi nhằm thúc đẩy tăng trưởng và trở thành thương hiệu pizza hàng đầu.
                </p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-02 text-white border">
                <h3 class="p-2">Trải nghiệm dễ dàng</h3>
                <p class="p-2">Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của mọi nhà, mọi lúc, mọi nơi.
                </p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-03 text-white border">
                <h3 class="p-2">Hướng đến sự vượt trội</h3>
                <p class="p-2">"Vượt trội" không chỉ là một khái niệm lớn. Thay vào đó, giá trị này là cốt lõi trong mỗi
                  con người của chúng tôi, trong mỗi công việc mà họ làm.</p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-04 text-white border">
                <h3 class="p-2">Thể hiện đam mê</h3>
                <p class="p-2">Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều chỉnh tùy theo thử thách để tìm
                  ra giải pháp.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="combo" class="row">
          <!-- Title Size Combos -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn combo phù hợp với bạn</span></p>
          </div>
          <!-- Content các Size Combos -->
          <div class="col-sm-12">
            <div class="row" id="size-combo-container">

            </div>
          </div>
        </div>

        <div id="type" class="row">
          <!-- Title Pizza Type -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại pizza</b></h2>
          </div>

          <!-- Content Pizza Type -->
          <div class="col-sm-12">
            <div class="row" id="pizza-type-container">

            </div>
          </div>
        </div>

        <div class="col-sm-12 p-2">
          <div class="row">
            <div class="col-sm-12">
              <div class="form-group">
                <label for="select-drink">Hãy chọn đồ uống bạn yêu thích</label>
                <select name="select-drink" id="select-drink" class="form-control"
                  onchange="onDrinkSelectedIndexChange(this)">
                  <option>Chọn đồ uống</option>
                </select>
              </div>
            </div>
          </div>
        </div>

        <div id="contact" class="row">
          <!-- Title Form Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
          </div>

          <!-- Content Form Contact Us -->
          <div class="col-sm-12 p-2 jumbotron">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="input-name">Họ và tên</label>
                  <input type="text" class="form-control" id="input-name" placeholder="Họ và tên" />
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="input-email" placeholder="Email" />
                </div>
                <div class="form-group">
                  <label for="input-phone">Điện thoại</label>
                  <input type="text" class="form-control" id="input-phone" placeholder="Điện thoại" />
                </div>
                <div class="form-group">
                  <label for="input-address">Địa chỉ</label>
                  <input type="text" class="form-control" id="input-address" placeholder="Địa chỉ" />
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="input-message" placeholder="Lời nhắn" />
                </div>
                <div class="form-group">
                  <label for="discount-code">Mã giảm giá (Voucher ID)</label>
                  <input type="text" class="form-control" id="input-discount-code" placeholder="Mã giảm giá" />
                </div>
                <button type="button" class="btn-green" onclick="onBtnKiemTraDonClick()"> Kiểm tra đơn </button>

              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none">
            <div id="div-order-infor" class="text-white p-3">thông tin đơn hàng vào đây</div>
            <div class="p-2">
              <button type="button" class="btn-yellow" onclick="onBtnGuiDonClick()"> Gửi đơn </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-3">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn bg-main-brand text-white m-3"><i class="fa fa-arrow-up mr-2"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official text-main"></i>
          <i class="fa fa-instagram text-main"></i>
          <i class="fa fa-snapchat text-main"></i>
          <i class="fa fa-pinterest-p text-main "></i>
          <i class="fa fa-twitter text-main"></i>
          <i class="fa fa-linkedin text-main"></i>
        </div>
      </div>
    </div>
  </div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  //Các loại menu
  const gSIZE_SMALL = "S";
  const gSIZE_MEDIUM = "M";
  const gSIZE_LARGE = "L";
  //Các loại pizza
  const gPIZZA_HAWAI = "HAWAI";
  const gPIZZA_HAISAN = "HẢI SẢN";
  const gPIZZA_BACON = "BACON";
  // Mảng danh sách các mã giảm giá
  var gDiscountVouchers = [
    { voucherID: "", percentDiscount: 0 }, // mã giảm giá là 10345, phần trăm giảm giá 20%
  ];
  //Đối tượng đơn hàng
  var gOrderObj = {
    menuDuocChon: null,
    loaiPizza: "",
    loaiDoUong: "",
    hoVaTen: "",
    email: "",
    dienThoai: "",
    diaChi: "",
    loiNhan: "",
    voucher: null,
    priceAnnualVND: function () {
      return this.menuDuocChon.priceVND - (this.voucher.percentDiscount / 100) * this.menuDuocChon.priceVND;
    }
  }
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  //Hàm xử lý nút chọn menu cỡ nhỏ
  function onBtnSizeSmallClick() {
    changePackageButtonColor(gSIZE_SMALL);
  }
  //Hàm xử lý nút chọn menu cỡ vừa
  function onBtnSizeMediumClick() {
    changePackageButtonColor(gSIZE_MEDIUM);
  }
  //Hàm xử lý nút chọn menu cỡ lớn
  function onBtnSizeLargeClick() {
    changePackageButtonColor(gSIZE_LARGE);
  }
  //Hàm xử lý nút chọn pizza hawai
  function onBtnTypeHawaiClick() {
    changePizzaButtonColor(gPIZZA_HAWAI);
  }
  //Hàm xử lý nút chọn pizza hải sản
  function onBtnTypeHaiSanClick() {
    changePizzaButtonColor(gPIZZA_HAISAN);
  }
  //Hàm xử lý nút chọn pizza bacon
  function onBtnTypeBaconClick() {
    changePizzaButtonColor(gPIZZA_BACON);
  }
  //Hàm xử lý nút kiểm tra đơn
  function onBtnKiemTraDonClick() {
    //Bước 1: thu thập dữ liệu
    thuThapDuLieu(gOrderObj);
    //Bước 2: kiểm tra dữ liệu
    var vDuLieuHopLe = kiemTraDuLieu(gOrderObj);
    if (vDuLieuHopLe) {
      //Bước 3: hiển thị đơn hàng cho khách hàng kiểm tra
      hienThiDuLieu(gOrderObj);
    }
    else anDuLieu();
  }
  //Hàm xử lý nút gửi đơn
  function onBtnGuiDonClick() {
    var vXmlHttpCreateOrder = new XMLHttpRequest();
    callApiGuiDonHang(gOrderObj, vXmlHttpCreateOrder);
    hienThiDuLieuGuiDon(vXmlHttpCreateOrder);
  }
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  //hàm xử lý tải trang
  function onPageLoading() {
    //Lấy danh sách đồ uống đưa ra trang web
    callApiLoadDrinkList();
    //Lấy danh sách size combo đưa ra trang web
    callApiLoadSizeCombo();
    //Lấy danh sách type pizza đưa ra trang web
    callApiLoadPizzaType();
  }
  //hàm xử lý thay đổi option trong select-drink
  function onDrinkSelectedIndexChange(paramSelectElement) {
    var vSelectedText = paramSelectElement.options[paramSelectElement.selectedIndex].text;
    console.log("Bạn vừa chọn đồ uống: " + vSelectedText);
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  //hàm trả lại gói menu đã đăng ký
  function getPackageObject(paramMenuName, paramDuongKinhCM, paramSuonNuong, paramSaladGr, paramDrink, paramPriceVND) {
    var vSelectedPackageStructure = {  //Đối tượng: gói đăng ký được chọn
      menuName: paramMenuName,
      duongKinhCM: paramDuongKinhCM,
      suonNuong: paramSuonNuong,
      saladGr: paramSaladGr,
      drink: paramDrink,
      priceVND: paramPriceVND,
      displayInConsoleLog: function () {
        console.log("---Thông tin menu đã đăng ký---");
        console.log("Menu: size " + paramMenuName);
        console.log("Đường kính: " + paramDuongKinhCM + " cm");
        console.log("Sườn nướng: " + paramSuonNuong);
        console.log("Salad: " + paramSaladGr + " gr");
        console.log("Nước ngọt: " + paramDrink);
        console.log("Giá: " + paramPriceVND + " VND");
      }
    }
    return vSelectedPackageStructure;
  }
  //hàm đổi màu nút pizza đã chọn
  function changePizzaButtonColor(paramLoaiPizza) {
    var vBtnPizzaHawai = document.getElementById("btn-type-hawai");
    var vBtnPizzaHaiSan = document.getElementById("btn-type-hai-san");
    var vBtnPizzaBacon = document.getElementById("btn-type-bacon");

    if (paramLoaiPizza === gPIZZA_HAWAI) {
      vBtnPizzaHawai.className = "btn-yellow";
      vBtnPizzaHaiSan.className = "btn-green";
      vBtnPizzaBacon.className = "btn-green";

      vBtnPizzaHawai.setAttribute("data-is-selected", "Y");
      vBtnPizzaHaiSan.setAttribute("data-is-selected", "N");
      vBtnPizzaBacon.setAttribute("data-is-selected", "N");
    }
    else if (paramLoaiPizza === gPIZZA_HAISAN) {
      vBtnPizzaHawai.className = "btn-green";
      vBtnPizzaHaiSan.className = "btn-yellow";
      vBtnPizzaBacon.className = "btn-green";

      vBtnPizzaHawai.setAttribute("data-is-selected", "N");
      vBtnPizzaHaiSan.setAttribute("data-is-selected", "Y");
      vBtnPizzaBacon.setAttribute("data-is-selected", "N");
    }
    else if (paramLoaiPizza === gPIZZA_BACON) {
      vBtnPizzaHawai.className = "btn-green";
      vBtnPizzaHaiSan.className = "btn-green";
      vBtnPizzaBacon.className = "btn-yellow";

      vBtnPizzaHawai.setAttribute("data-is-selected", "N");
      vBtnPizzaHaiSan.setAttribute("data-is-selected", "N");
      vBtnPizzaBacon.setAttribute("data-is-selected", "Y");
    }
    console.log("Loại pizza đã đăng ký: " + paramLoaiPizza);
  }
  //hàm đổi màu nút menu đã chọn
  function changePackageButtonColor(paramMenuName) {
    var vBtnSizeSmall = document.getElementById("btn-size-small");
    var vBtnSizeMedium = document.getElementById("btn-size-medium");
    var vBtnSizeLarge = document.getElementById("btn-size-large");

    if (paramMenuName === gSIZE_SMALL) {
      vBtnSizeSmall.className = "btn-yellow";
      vBtnSizeMedium.className = "btn-green";
      vBtnSizeLarge.className = "btn-green";

      vBtnSizeSmall.setAttribute("data-is-selected", "Y");
      vBtnSizeMedium.setAttribute("data-is-selected", "N");
      vBtnSizeLarge.setAttribute("data-is-selected", "N");
      var vSelectedPackageStructure = getPackageObject(gSIZE_SMALL, 20, 2, 200, 2, 150000);
    }
    else if (paramMenuName === gSIZE_MEDIUM) {
      vBtnSizeSmall.className = "btn-green";
      vBtnSizeMedium.className = "btn-yellow";
      vBtnSizeLarge.className = "btn-green";

      vBtnSizeSmall.setAttribute("data-is-selected", "N");
      vBtnSizeMedium.setAttribute("data-is-selected", "Y");
      vBtnSizeLarge.setAttribute("data-is-selected", "N");
      var vSelectedPackageStructure = getPackageObject(gSIZE_MEDIUM, 25, 4, 300, 3, 200000);
    }
    else if (paramMenuName === gSIZE_LARGE) {
      vBtnSizeSmall.className = "btn-green";
      vBtnSizeMedium.className = "btn-green";
      vBtnSizeLarge.className = "btn-yellow";

      vBtnSizeSmall.setAttribute("data-is-selected", "N");
      vBtnSizeMedium.setAttribute("data-is-selected", "N");
      vBtnSizeLarge.setAttribute("data-is-selected", "Y");
      var vSelectedPackageStructure = getPackageObject(gSIZE_LARGE, 30, 8, 500, 4, 250000);
    }
    vSelectedPackageStructure.displayInConsoleLog();
  }
  //hàm thu thập dữ liệu
  function thuThapDuLieu(paramOrderObj) {
    // giá trị từ các ô input
    var vHoVaTenInput = document.getElementById("input-name");
    var vEmailInput = document.getElementById("input-email");
    var vPhoneNumberInput = document.getElementById("input-phone");
    var vAddressInput = document.getElementById("input-address");
    var vMessageInput = document.getElementById("input-message");
    var vDiscountCodeInput = document.getElementById("input-discount-code");
    var vDrinkListSelectElement = document.getElementById("select-drink");
    // lấy thông tin gói được chọn (selected plan), dựa vào thuộc tính data-is-selected của từng nút
    var vBtnSizeSmall = document.getElementById("btn-size-small");
    var vBtnSizeMedium = document.getElementById("btn-size-medium");
    var vBtnSizeLarge = document.getElementById("btn-size-large");
    var vBtnPizzaHawai = document.getElementById("btn-type-hawai");
    var vBtnPizzaHaiSan = document.getElementById("btn-type-hai-san");
    var vBtnPizzaBacon = document.getElementById("btn-type-bacon");

    var vMenuSizeSmallDaChon = vBtnSizeSmall.getAttribute("data-is-selected");
    var vMenuSizeMediumDaChon = vBtnSizeMedium.getAttribute("data-is-selected");
    var vMenuSizeLargeDaChon = vBtnSizeLarge.getAttribute("data-is-selected");
    var vMenuPizzaHawaiDaChon = vBtnPizzaHawai.getAttribute("data-is-selected");
    var vMenuPizzaHaiSanDaChon = vBtnPizzaHaiSan.getAttribute("data-is-selected");
    var vMenuPizzaBaconDaChon = vBtnPizzaBacon.getAttribute("data-is-selected");

    //gán giá trị vào đối tượng
    paramOrderObj.hoVaTen = vHoVaTenInput.value.trim();
    paramOrderObj.email = vEmailInput.value.trim();
    paramOrderObj.dienThoai = vPhoneNumberInput.value.trim();
    paramOrderObj.diaChi = vAddressInput.value.trim();
    paramOrderObj.loiNhan = vMessageInput.value.trim();
    paramOrderObj.loaiDoUong = vDrinkListSelectElement.value;
    var vGetVoucherById = vDiscountCodeInput.value.trim();
    /* Phân biệt 2 trường hợp:
      1.Người dùng không nhập, thì sau sẽ không kiểm tra
      2.Người dùng nhập mã, nhưng mã sai, sau vẫn kiểm tra */
    if (vGetVoucherById == "") { //nếu người dùng không nhập mã giảm giá
      paramOrderObj.voucher = { voucherID: "", percentDiscount: 0 }; //gán giá trị cho đối tượng voucher
    }
    else { //nếu người dùng nhập mã giảm giá
      getVoucherById(vGetVoucherById, gDiscountVouchers)
      paramOrderObj.voucher = gDiscountVouchers; //lấy mã, trả về 1 đối tượng voucher
    }

    if (vMenuSizeSmallDaChon === "Y") {
      paramOrderObj.menuDuocChon = getPackageObject(gSIZE_SMALL, 20, 2, 200, 2, 150000);
    }
    else if (vMenuSizeMediumDaChon === "Y") {
      paramOrderObj.menuDuocChon = getPackageObject(gSIZE_MEDIUM, 25, 4, 300, 3, 200000);
    }
    else if (vMenuSizeLargeDaChon === "Y") {
      paramOrderObj.menuDuocChon = getPackageObject(gSIZE_LARGE, 30, 8, 500, 4, 250000);
    }

    if (vMenuPizzaHawaiDaChon === "Y") {
      paramOrderObj.loaiPizza = gPIZZA_HAWAI;
    }
    if (vMenuPizzaHaiSanDaChon === "Y") {
      paramOrderObj.loaiPizza = gPIZZA_HAISAN;
    }
    if (vMenuPizzaBaconDaChon === "Y") {
      paramOrderObj.loaiPizza = gPIZZA_BACON;
    }
  }
  //hàm kiểm tra dữ liệu
  function kiemTraDuLieu(paramOrderObj) {
    if (paramOrderObj.menuDuocChon == null) {
      alert("Bạn chưa chọn menu nào!");
      return false;
    }
    if (paramOrderObj.loaiPizza == "") {
      alert("Bạn chưa chọn loại pizza nào!");
      return false;
    }
    if (paramOrderObj.loaiDoUong == "Chọn đồ uống") {
      alert("Bạn chưa chọn đồ uống!");
      return false;
    }
    if (paramOrderObj.hoVaTen == "") {
      alert("Bạn chưa nhập họ và tên!");
      return false;
    }
    if (paramOrderObj.email == "") {
      alert("Bạn chưa nhập email!");
      return false;
    }
    if (validateEmail(paramOrderObj.email) == false) {
      alert("Email sai định dạng!");
      return false;
    }
    if (paramOrderObj.dienThoai == "") {
      alert("Bạn chưa nhập số điện thoại!");
      return false;
    }
    if (validatePhoneNumber(paramOrderObj.dienThoai) == false) {
      alert("Số điện thoại sai định dạng!");
      return false;
    }
    if (paramOrderObj.diaChi == "") {
      alert("Bạn chưa nhập địa chỉ!");
      return false;
    }
    return true;
  }
  //hàm hiển thị dữ liệu
  function hienThiDuLieu(paramOrderObj) {
    var vDivContainerOrder = document.getElementById("div-container-order");
    var vDivOrderInfor = document.getElementById("div-order-infor");

    vDivContainerOrder.style.display = "block";
    vDivOrderInfor.innerHTML = "Họ và tên: " + paramOrderObj.hoVaTen + "<br>";
    vDivOrderInfor.innerHTML += "Email: " + paramOrderObj.email + "<br>";
    vDivOrderInfor.innerHTML += "Số điện thoại: " + paramOrderObj.dienThoai + "<br>";
    vDivOrderInfor.innerHTML += "Địa chỉ: " + paramOrderObj.diaChi + "<br>";
    vDivOrderInfor.innerHTML += "Lời nhắn: " + paramOrderObj.loiNhan + "<br>";
    vDivOrderInfor.innerHTML += "---------------------------------------" + "<br>";
    vDivOrderInfor.innerHTML += "Kích cỡ: " + paramOrderObj.menuDuocChon.menuName + "<br>";
    vDivOrderInfor.innerHTML += "Đường kính: " + paramOrderObj.menuDuocChon.duongKinhCM + " cm <br>";
    vDivOrderInfor.innerHTML += "Sườn nướng: " + paramOrderObj.menuDuocChon.suonNuong + "<br>";
    vDivOrderInfor.innerHTML += "Salad: " + paramOrderObj.menuDuocChon.saladGr + " gr <br>";
    vDivOrderInfor.innerHTML += "Nước ngọt: " + paramOrderObj.menuDuocChon.drink + "<br>";
    vDivOrderInfor.innerHTML += "Loại đồ uống: " + paramOrderObj.loaiDoUong + "<br>";
    vDivOrderInfor.innerHTML += "---------------------------------------" + "<br>";
    vDivOrderInfor.innerHTML += "Loại pizza: " + paramOrderObj.loaiPizza + "<br>";
    vDivOrderInfor.innerHTML += "Mã voucher: " + paramOrderObj.voucher.voucherID + "<br>";
    vDivOrderInfor.innerHTML += "Giá: " + paramOrderObj.menuDuocChon.priceVND + " VNĐ <br>";
    vDivOrderInfor.innerHTML += "Discount: " + paramOrderObj.voucher.percentDiscount + "%<br>";
    vDivOrderInfor.innerHTML += "Phải thanh toán: " + paramOrderObj.priceAnnualVND() + " VNĐ <br>";
  }
  //hàm gọi Api
  function callApiGuiDonHang(paramOrderObj, paramXmlHttpCreateOrder) {
    //base url
    const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
    // khai báo object order để chứa thông tin đặt hàng với 14 thuộc tính
    var vObjectRequest = {
      kichCo: gOrderObj.menuDuocChon.menuName,
      duongKinh: gOrderObj.menuDuocChon.duongKinhCM,
      suon: gOrderObj.menuDuocChon.suonNuong,
      salad: gOrderObj.menuDuocChon.saladGr,
      loaiPizza: gOrderObj.loaiPizza,
      idVourcher: gOrderObj.voucher.voucherID,
      idLoaiNuocUong: gOrderObj.loaiDoUong,
      soLuongNuoc: gOrderObj.menuDuocChon.drink,
      hoTen: gOrderObj.hoVaTen,
      thanhTien: gOrderObj.priceAnnualVND(),
      email: gOrderObj.email,
      soDienThoai: gOrderObj.dienThoai,
      diaChi: gOrderObj.diaChi,
      loiNhan: gOrderObj.loiNhan
    }
    paramXmlHttpCreateOrder.open("POST", vBASE_URL, true);
    paramXmlHttpCreateOrder.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
    paramXmlHttpCreateOrder.send(JSON.stringify(vObjectRequest));
  }

  function hienThiDuLieuGuiDon(paramXmlHttpCreateOrder) {
    paramXmlHttpCreateOrder.onreadystatechange =
      function () {
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK)
          if (this.status == gREQUEST_CREATE_SUCCESS) { // status 201 tao thanh cong
            console.log(paramXmlHttpCreateOrder.responseText);
            alert("Bạn đã gửi đơn hàng thành công!");
            var vDivContainerOrder = document.getElementById("div-container-order");
            vDivContainerOrder.className = "container bg-warning p-2 jumbotron";
            vDivContainerOrder.innerHTML = `
            <h6>Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là:</h6>
            <div id="ma-don-hang" class="form-group row">
              <label for="inp-ma-don-hang" class="col-2 col-form-label text-right">Mã đơn hàng</label>
                    <div class="col-6">
                        <input type="text" class="form-control" id="inp-ma-don-hang">
                    </div>
              </div>
            `;
            var vOrderCodeInputElement = document.getElementById("inp-ma-don-hang");
            vOrderCodeInputElement.value = JSON.parse(paramXmlHttpCreateOrder.responseText).orderCode;
          }
          else {
            alert("Gửi đơn hàng thất bại!");
          }
      }
  }

  //hàm tìm mã giảm giá trả về đối tượng mã giảm giá
  function getVoucherById(paramVoucherId, paramDiscountVoucher) {
    const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
    // nếu mã giảm giấ đã nhập, tạo vXmlHttp request và gửi về server
    var vXmlHttp = new XMLHttpRequest();
    vXmlHttp.open("GET", vBASE_URL + paramVoucherId, false);
    vXmlHttp.send();
    if (vXmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
      // nhận lại response dạng JSON ở vXmlHttp.responseText và chuyển thành object
      console.log(vXmlHttp.responseText);
      var vVoucherRespone = JSON.parse(vXmlHttp.responseText);
      paramDiscountVoucher.voucherID = vVoucherRespone.id;
      paramDiscountVoucher.percentDiscount = vVoucherRespone.phanTramGiamGia;
    }
    else {
      // không nhận lại được data do vấn đề gì đó: khả năng mã voucher ko dúng
      paramDiscountVoucher.voucherID = "Không có";
      paramDiscountVoucher.percentDiscount = 0;
      console.log("Không tìm thấy voucher " + vXmlHttp.responseText);
      alert("Mã giảm giá không tồn tại!");
    }
  }
  // Hàm kiểm tra email
  function validateEmail(paramEmail) {
    var vRegexEmail = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    var vResult = false;
    if (paramEmail.match(vRegexEmail)) {
      vResult = true;
    }
    return vResult;
  }
  /* Hàm kiểm tra số điện thoại
  Các đầu số 03, 05, 07, 08, 09 (ví dụ: 0981234567)
  Số có thể bắt đầu với +84 hoặc 84 (ví dụ +84981234567, 84981234567)
  độ dài từ 10 đến 12 ký tự (theo đề bài)
  */
  function validatePhoneNumber(paramPhoneNumber) {
    var vRegexPhoneNumber = /(((\+|)84)|0)(3|5|7|8|9)+([0-9]{8})\b/;
    var vResult = false;
    if (paramPhoneNumber.match(vRegexPhoneNumber)) {
      vResult = true;
    }
    return vResult;
  }
  //hàm gọi Api lấy danh sách đồ uống
  function callApiLoadDrinkList() {
    $.ajax({
      url: "http://203.171.20.210:8080/devcamp-pizza365/drinks",
      type: "GET",
      success: function (paramDrinks) {
        console.log(paramDrinks);
        var vDrinkSelectElement = $("#select-drink");
        for(var bI=0 ; bI < paramDrinks.length; bI++) {
          $("<option>", {
            value: paramDrinks[bI].maNuocUong,
            text: paramDrinks[bI].tenNuocUong,
          }).appendTo(vDrinkSelectElement);
        }
      },
      error: function (paramError) {
        console.log("Status:" + paramError.status);
        console.log("State:" + paramError.state);
      }
    });
  }

  //Ẩn dữ liệu khi khách hàng nhập sai
  function anDuLieu() {
    var vDivContainerOrder = document.getElementById("div-container-order");
    vDivContainerOrder.style.display = "none";
  }

  function callApiLoadSizeCombo() {
    $.ajax({
      url: "https://647406377de100807b1a4df4.mockapi.io/combos",
      type: "GET",
      success: function (paramCombos) {
        console.log(paramCombos);
        var vSizeComboContainerDiv = $("#size-combo-container");
        for (var bI = 0; bI < paramCombos.length; bI++) {
          vSizeComboContainerDiv.append(`<div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>${paramCombos[bI].kichCo}</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b>${paramCombos[bI].duongKinh}</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>${paramCombos[bI].suonNuong}</b></li>
                      <li class="list-group-item">Salad <b>${paramCombos[bI].salad}</b></li>
                      <li class="list-group-item">Nước ngọt <b>${paramCombos[bI].nuocNgot}</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>${paramCombos[bI].thanhTien}</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center" id="card-footer-${bI}">
                    <button class="btn-green" data-is-selected="N">
                      Chọn
                    </button>
                  </div>
                </div>
              </div>`)
          //thêm vào nút size combo small
          $("#card-footer-0").children().attr("id", "btn-size-small").attr("onclick", "onBtnSizeSmallClick()");
          //thêm vào nút size combo medium
          $("#card-footer-1").children().attr("id", "btn-size-medium").attr("onclick", "onBtnSizeMediumClick()");
          //thêm vào nút size combo large
          $("#card-footer-2").children().attr("id", "btn-size-large").attr("onclick", "onBtnSizeLargeClick()");
        }
      },
      error: function (paramError) {
        console.log("Status:" + paramError.status);
        console.log("State:" + paramError.state);
      }
    });
  }

  function callApiLoadPizzaType() {
    $.ajax({
      url: "https://647406377de100807b1a4df4.mockapi.io/types",
      type: "GET",
      success: function (paramTypes) {
        console.log(paramTypes);
        var vPizzaTypesContainerDiv = $("#pizza-type-container");
        for (var bI = 0; bI < paramTypes.length; bI++) {
          vPizzaTypesContainerDiv.append(`<div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img class="card-img-top" id="card-img-top-${bI}"/>
                  <div class="card-body" id="card-body-${bI}">
                    <h5>${paramTypes[bI].name}</h5>
                    <p>${paramTypes[bI].note}</p>
                    <p>
                      ${paramTypes[bI].description}
                    </p>
                    <p>
                      <button class="btn-green" data-is-selected="N"> Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
          `);
          //thêm vào ảnh pizza type seafood
          $("#card-img-top-0").attr("src", "images/pizza_type_hai_san.jpg");
          //thêm vào nút pizza type seafood
          $("#card-body-0").find("p:last").children().attr("id", "btn-type-hai-san").attr("onclick", "onBtnTypeHaiSanClick()");
          //thêm vào ảnh pizza type hawai
          $("#card-img-top-1").attr("src", "images/pizza_type_hawai.jpg");
          //thêm vào nút pizza type hawai
          $("#card-body-1").find("p:last").children().attr("id", "btn-type-hawai").attr("onclick", "onBtnTypeHawaiClick()");
          //thêm vào ảnh pizza type bacon
          $("#card-img-top-2").attr("src", "images/pizza_type_thit_nuong.jpg");
          //thêm vào nút pizza type bacon
          $("#card-body-2").find("p:last").children().attr("id", "btn-type-bacon").attr("onclick", "onBtnTypeBaconClick()");

        }
      },
      error: function (paramError) {
        console.log("Status:" + paramError.status);
        console.log("State:" + paramError.state);
      }
    });
  }
</script>

</html>